import request from '@/utils/request';

// 查询参数列表分页
// export function listLoginInfo(query:any) {
//     return request({
//         url: '/api/log/logLogin/list',
//         method: 'get',
//         params: query
//     })
// }

export function listLoginInfo(query: any) {
	return request({
		url: '/api/log/login',
		method: 'get',
		params: query,
	});
}

// 删除
// export function delLoginInfo(infoId: any) {
// 	return request({
// 		url: '/api/log/logLogin/' + infoId,
// 		method: 'delete',
// 	});
// }

export function delLoginInfo(infoId: any) {
	return request({
		url: '/api/log/login/' + infoId,
		method: 'delete',
	});
}

// 清空
export function cleanLoginInfo() {
	return request({
		url: '/api/log/login',
		method: 'delete',
	});
}
